package com.qmth.distributed.print.business.bean.dto;

/**
 * @Date: 2021/3/29.
 */
public class ClientPrintStatisticsDto {

    private String printPlanId;
    private String printPlanName;
    private Long examStartTime;
    private Long examEndTime;
    private String courseNameCode;
    private String paperNumber;
    private String examPlace;
    private Integer packageCount;
    private Integer totalSubjects;
    private Integer totalSubjectsLeft;
    private Integer pagesA3Left;
    private Integer pagesA4Left;
    private Integer progress;

    public String getPrintPlanId() {
        return printPlanId;
    }

    public void setPrintPlanId(String printPlanId) {
        this.printPlanId = printPlanId;
    }

    public String getPrintPlanName() {
        return printPlanName;
    }

    public void setPrintPlanName(String printPlanName) {
        this.printPlanName = printPlanName;
    }

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getCourseNameCode() {
        return courseNameCode;
    }

    public void setCourseNameCode(String courseNameCode) {
        this.courseNameCode = courseNameCode;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public Integer getPackageCount() {
        return packageCount;
    }

    public void setPackageCount(Integer packageCount) {
        this.packageCount = packageCount;
    }

    public Integer getTotalSubjects() {
        return totalSubjects;
    }

    public void setTotalSubjects(Integer totalSubjects) {
        this.totalSubjects = totalSubjects;
    }

    public Integer getTotalSubjectsLeft() {
        return totalSubjectsLeft;
    }

    public void setTotalSubjectsLeft(Integer totalSubjectsLeft) {
        this.totalSubjectsLeft = totalSubjectsLeft;
    }

    public Integer getPagesA3Left() {
        return pagesA3Left;
    }

    public void setPagesA3Left(Integer pagesA3Left) {
        this.pagesA3Left = pagesA3Left;
    }

    public Integer getPagesA4Left() {
        return pagesA4Left;
    }

    public void setPagesA4Left(Integer pagesA4Left) {
        this.pagesA4Left = pagesA4Left;
    }

    public Integer getProgress() {
        return progress;
    }

    public void setProgress(Integer progress) {
        this.progress = progress;
    }
}
